﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="RadGridEditTimePickerTimothyVB.aspx.vb" Inherits="RadGridEditTimePickerTimothyVB" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadGrid runat="server" ID="grdScheduleBook" AllowSorting="True" AllowPaging="True"
            PageSize="15" AutoGenerateColumns="False" OnUpdateCommand="grdScheduleBook_UpdateCommand"
            OnNeedDataSource="grdScheduleBook_NeedDataSource" RenderMode="Lightweight" HeaderStyle-Font-Size="X-Small"
            ItemStyle-Font-Size="X-Small" Height="800px">
            <MasterTableView EditMode="InPlace">
                <Columns>
                    <telerik:GridTemplateColumn FilterControlAltText="Filter TemplateColumn column" HeaderText="Pick Time"
                        UniqueName="PickTime" HeaderStyle-Width="100px">
                        <EditItemTemplate>
                            <telerik:RadTimePicker ID="RadTimePicker1" runat="server" Skin="Default" Width="88px">
                            </telerik:RadTimePicker>
                        </EditItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="Label1" runat="server"></asp:Label>
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridEditCommandColumn>
                    </telerik:GridEditCommandColumn>
                    <telerik:GridBoundColumn UniqueName="Group" DataField="ShipCountry" HeaderText="Group" ReadOnly="True">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="Payroll" DataField="Freight" HeaderText="Payroll #" ReadOnly="True">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="LastName" DataField="ShipName" HeaderText="Last Name" ReadOnly="True">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="FirstName" DataField="ShipCountry" HeaderText="First Name" ReadOnly="True">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="MI" DataField="Freight" HeaderText="MI" ReadOnly="True">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="SeniorDate" DataField="OrderDate" HeaderText="Senior Date" ReadOnly="True">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="Sequence" DataField="ShipCountry" HeaderText="Sequence" ReadOnly="True">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="DeptLoc" DataField="ShipCountry" HeaderText="Dept/Location" ReadOnly="True">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn UniqueName="JobCode" DataField="Freight" HeaderText="Job Code" ReadOnly="True">
                    </telerik:GridBoundColumn>
                </Columns>
                <EditFormSettings>
                    <EditColumn UniqueName="EditCommandColumn1" FilterControlAltText="Filter EditCommandColumn1 column"></EditColumn>
                </EditFormSettings>
            </MasterTableView>
            <GroupingSettings CollapseAllTooltip="Collapse all groups"></GroupingSettings>
            <ClientSettings AllowColumnsReorder="True" Resizing-AllowColumnResize="true" ReorderColumnsOnClient="True">
                <Selecting AllowRowSelect="True" />
                <Scrolling AllowScroll="True" UseStaticHeaders="True" />
                <%--<ClientEvents OnBatchEditOpening="OnBatchEditOpening" />--%>
                <Resizing AllowColumnResize="True"></Resizing>
            </ClientSettings>
            <HeaderStyle Font-Size="Small" Font-Bold="True"></HeaderStyle>
            <ItemStyle Font-Size="Small"></ItemStyle>
            <FilterMenu RenderMode="Lightweight"></FilterMenu>
            <HeaderContextMenu RenderMode="Lightweight"></HeaderContextMenu>
        </telerik:RadGrid>
        <br />
        <asp:Label ID="Output" runat="server" Text="Output"></asp:Label>
    </form>
</body>
</html>
